package MT::Plugin::DisplayEntryTitleAndPermalink;

use strict;

require MT::Plugin;
require MT;

my $plugin = MT::Plugin->new({
    name => "Display entry title and permalink",
    description => 'Display entry title and permalink.'
});
MT->add_plugin($plugin);

MT->add_callback('bigpapi::template::list_entry', 9, $plugin, \&display_entry_title_and_permalink);
sub display_entry_title_and_permalink {
    my ($cb, $app, $template) = @_;
    my $old = <<HTMLOLD;
<TMPL_INCLUDE NAME=entry_table.tmpl>
HTMLOLD
    $old = quotemeta($old);
    my $new = <<HTMLNEW;
<TMPL_LOOP NAME=ENTRY_TABLE>
<TMPL_IF NAME=IS_POWER_EDIT>
<form method="post" action="<TMPL_VAR NAME=SCRIPT_URL>">
<TMPL_ELSE>
<form method="post" action="<TMPL_VAR NAME=SCRIPT_URL>" onsubmit="return this['__mode'] ? true : false">
</TMPL_IF>
<input type="hidden" name="__mode" value="<TMPL_IF NAME=IS_POWER_EDIT>save_entries</TMPL_IF>" />
<input type="hidden" name="_type" value="entry" />
<input type="hidden" name="blog_id" value="<TMPL_VAR NAME=BLOG_ID>" />
<input type="hidden" name="offset" value="<TMPL_VAR NAME=OFFSET>" />
<input type="hidden" name="limit" value="<TMPL_VAR NAME=LIMIT>" />
<input type="hidden" name="filter_args" value="<TMPL_VAR NAME=FILTER_ARGS>" />
<input type="hidden" name="return_args" value="tab=entry&amp;<TMPL_VAR NAME=RETURN_ARGS ESCAPE=HTML>" />
<input type="hidden" name="magic_token" value="<TMPL_VAR NAME=MAGIC_TOKEN>" />
<input type="hidden" name="action_name" value="" />

<TMPL_IF NAME=POSITION_ACTIONS_TOP>
<TMPL_INCLUDE NAME=entry_actions.tmpl>
</TMPL_IF>

<div class="list" id="selector">
<table cellspacing="0" class="<TMPL_IF NAME=VIEW_EXPANDED>expanded<TMPL_ELSE>compact</TMPL_IF><TMPL_IF NAME=SYSTEM_OVERVIEW_NAV> show-weblog</TMPL_IF>">
<thead>
<tr>
<TMPL_UNLESS NAME=IS_POWER_EDIT>
<th class="cb"><input type="checkbox" name="id-head" value="all" class="select" /></th>
</TMPL_UNLESS>
<th id="en-status">
<TMPL_UNLESS NAME=IS_POWER_EDIT>
<img src="<TMPL_VAR NAME=STATIC_URI>images/status_icons/flag.gif" alt="<MT_TRANS phrase="Status">" title="<MT_TRANS phrase="Status">" width="9" height="9" />
<TMPL_ELSE>
<MT_TRANS phrase="Status">
</TMPL_UNLESS>
</th>
<th id="en-title"><MT_TRANS phrase="Title"></th>
<th id="en-author"><MT_TRANS phrase="Author"></th>
<TMPL_IF NAME=SYSTEM_OVERVIEW_NAV><th id="en-weblog"><MT_TRANS phrase="Weblog"></th></TMPL_IF>
<th id="en-category"><MT_TRANS phrase="Category"></th>
<th id="en-date"><MT_TRANS phrase="Date"></th>
</tr>
</thead>
<tbody>
<TMPL_LOOP NAME=OBJECT_LOOP>
<tr class="<TMPL_IF __ODD__>odd<TMPL_ELSE>even</TMPL_IF>">

<TMPL_UNLESS NAME=IS_POWER_EDIT>
<td class="cb">
<TMPL_IF NAME=HAS_EDIT_ACCESS>
<input type="checkbox" name="id" value="<TMPL_VAR NAME=ID>" class="select" />
<TMPL_ELSE>
&nbsp;
</TMPL_IF>
</td>
</TMPL_UNLESS>

<td class="<TMPL_IF NAME=STATUS_DRAFT>status-draft</TMPL_IF><TMPL_IF NAME=STATUS_PUBLISH>status-publish</TMPL_IF><TMPL_IF NAME=STATUS_FUTURE>status-future</TMPL_IF>">
<TMPL_IF NAME=IS_EDITABLE>
<select name="status_<TMPL_VAR NAME=ID>">
<option value="1"<TMPL_IF NAME=STATUS_DRAFT> selected="selected"</TMPL_IF>><MT_TRANS phrase="Unpublished"></option>
<option value="2"<TMPL_IF NAME=STATUS_PUBLISH> selected="selected"</TMPL_IF>><MT_TRANS phrase="Published"></option>
<option value="4"<TMPL_IF NAME=STATUS_FUTURE> selected="selected"</TMPL_IF>><MT_TRANS phrase="Scheduled"></option>
</select>
<TMPL_ELSE>
<TMPL_IF NAME=STATUS_DRAFT>
<a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=list_entries<TMPL_IF NAME=BLOG_ID>&amp;blog_id=<TMPL_VAR NAME=BLOG_ID></TMPL_IF>&amp;filter=status&amp;filter_val=1" title="<MT_TRANS phrase="Only show unpublished entries">"><img src="<TMPL_VAR NAME=STATIC_URI>images/spacer.gif" alt="<MT_TRANS phrase="Unpublished">" width="9" height="9" /></a>
</TMPL_IF>
<TMPL_IF NAME=STATUS_PUBLISH>
<a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=list_entries<TMPL_IF NAME=BLOG_ID>&amp;blog_id=<TMPL_VAR NAME=BLOG_ID></TMPL_IF>&amp;filter=status&amp;filter_val=2" title="<MT_TRANS phrase="Only show published entries">"><img src="<TMPL_VAR NAME=STATIC_URI>images/spacer.gif" alt="<MT_TRANS phrase="Publish">" width="9" height="9" /></a>
</TMPL_IF>
<TMPL_IF NAME=STATUS_FUTURE>
<a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=list_entries<TMPL_IF NAME=BLOG_ID>&amp;blog_id=<TMPL_VAR NAME=BLOG_ID></TMPL_IF>&amp;filter=status&amp;filter_val=4" title="<MT_TRANS phrase="Only show future entries">"><img src="<TMPL_VAR NAME=STATIC_URI>images/spacer.gif" alt="<MT_TRANS phrase="Future">" width="9" height="9" /></a>
</TMPL_IF>
</TMPL_IF>
</td>

<td <TMPL_IF NAME=VIEW_EXPANDED>colspan="<TMPL_IF NAME=SYSTEM_OVERVIEW_NAV>5<TMPL_ELSE>4</TMPL_IF>"</TMPL_IF>>
<TMPL_IF NAME=VIEW_EXPANDED><strong><TMPL_VAR NAME=TITLE_LONG></strong>&nbsp;<a href="<TMPL_VAR NAME=ENTRY_PERMALINK>"><img src="<TMPL_VAR NAME=BLOG_URL>mt-static/images/status_icons/link.gif" alt="<TMPL_VAR NAME=ENTRY_PERMALINK>" width="16" height="9" /></a><TMPL_IF NAME=EXCERPT> &mdash; <TMPL_VAR NAME=EXCERPT></TMPL_IF><TMPL_ELSE><TMPL_IF NAME=HAS_EDIT_ACCESS><TMPL_IF NAME=IS_POWER_EDIT><input name="title_<TMPL_VAR NAME=ID>" value="<TMPL_VAR NAME=TITLE ESCAPE=HTML>" /><TMPL_ELSE><a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=view&amp;_type=entry&amp;id=<TMPL_VAR NAME=ID>&amp;blog_id=<TMPL_VAR NAME=BLOG_ID>"><TMPL_VAR NAME=TITLE></a>&nbsp;<a href="<TMPL_VAR NAME=ENTRY_PERMALINK>"><img src="<TMPL_VAR NAME=BLOG_URL>mt-static/images/status_icons/link.gif" alt="<TMPL_VAR NAME=ENTRY_PERMALINK>" width="16" height="9" /></a>
</TMPL_IF><TMPL_ELSE><TMPL_VAR NAME=TITLE_SHORT></TMPL_IF></TMPL_IF></td>

<TMPL_IF NAME=VIEW_EXPANDED>
</tr><tr class="<TMPL_IF __ODD__>odd<TMPL_ELSE>even</TMPL_IF> slave"><td>&nbsp;</td><td>&nbsp;</td>
<td><TMPL_IF NAME=HAS_EDIT_ACCESS><a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=view&amp;_type=entry&amp;id=<TMPL_VAR NAME=ID>&amp;blog_id=<TMPL_VAR NAME=BLOG_ID>"><MT_TRANS phrase="Edit Entry"></a><TMPL_ELSE>&nbsp;</TMPL_IF></td>
</TMPL_IF>

<td>
<TMPL_IF NAME=IS_EDITABLE>
<select name="author_id_<TMPL_VAR NAME=ID>">
<option value=""><MT_TRANS phrase="None"></option>
<TMPL_LOOP NAME=ROW_AUTHOR_LOOP>
<option value="<TMPL_VAR NAME=AUTHOR_ID>"<TMPL_IF NAME=AUTHOR_IS_SELECTED> selected="selected"</TMPL_IF>><TMPL_VAR NAME=AUTHOR_NAME></option>
</TMPL_LOOP>
</select>
<TMPL_ELSE>
<TMPL_VAR NAME=AUTHOR_NAME>
</TMPL_IF>
</td>

<TMPL_IF NAME=SYSTEM_OVERVIEW_NAV>
<td><a href="<TMPL_VAR NAME=SCRIPT_URL>?__mode=list_entries&amp;blog_id=<TMPL_VAR NAME=WEBLOG_ID>"><TMPL_VAR NAME=WEBLOG_NAME ESCAPE=HTML></td>
</TMPL_IF>

<td>
<TMPL_IF NAME=IS_EDITABLE>
<select name="category_id_<TMPL_VAR NAME=ID>">
<option value=""><MT_TRANS phrase="None"></option>
<TMPL_LOOP NAME=ROW_CATEGORY_LOOP>
<option value="<TMPL_VAR NAME=CATEGORY_ID>"<TMPL_IF NAME=CATEGORY_IS_SELECTED> selected="selected"</TMPL_IF>><TMPL_VAR NAME=CATEGORY_LABEL_SPACER><TMPL_VAR NAME=CATEGORY_LABEL></option>
</TMPL_LOOP>
</select>
<TMPL_ELSE>
<TMPL_IF NAME=CATEGORY_NAME><TMPL_VAR NAME=CATEGORY_NAME ESCAPE=HTML><TMPL_ELSE>&nbsp;</TMPL_IF>
</TMPL_IF>
</td>

<td><TMPL_IF NAME=IS_EDITABLE><input name="created_on_<TMPL_VAR NAME=ID>" value="<TMPL_VAR NAME=CREATED_ON_TIME_FORMATTED>" /><TMPL_ELSE><span title="<TMPL_VAR NAME=CREATED_ON_TIME_FORMATTED>"><TMPL_IF NAME=CREATED_ON_RELATIVE><TMPL_IF NAME=DATES_RELATIVE><TMPL_VAR NAME=CREATED_ON_RELATIVE><TMPL_ELSE><TMPL_VAR NAME=CREATED_ON_FORMATTED></TMPL_IF><TMPL_ELSE><TMPL_VAR NAME=CREATED_ON_FORMATTED></TMPL_IF></span></TMPL_IF></td>

</tr>
</TMPL_LOOP>
</tbody>

</table>
</div>

<TMPL_IF NAME=POSITION_ACTIONS_BOTTOM>
<div class="list-actions-footer">
<TMPL_INCLUDE NAME=entry_actions.tmpl>
</div>
</TMPL_IF>

</form>
</TMPL_LOOP>
HTMLNEW
    $$template =~ s/$old/$new/;
}

1;
